/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package controller.commands;

import controller.CommandInterface;
import gui.Hauptfenster;
import java.util.logging.Logger;
import logger.OhmLogger;
import model.SIPmodel;

/**
 *
 * @author Jan
 * Anruf annehmen -> Event muss noch gelöscht werden falls nichtmehr angerufen wird,
 * welches Kriterium oder Bedingung könnte es geben.
 * -> evtl. über "Undo" aktion
 */
public class CommandAnnehmen implements CommandInterface
{ 
  private static final Logger lginvite = OhmLogger.getLogger(); 
  private SIPmodel model;
  private Hauptfenster view;
  
  //private InputStream istream;
  
  //Socket s;
 
  
  public CommandAnnehmen(SIPmodel model, Hauptfenster view)
  {
    this.model = model;
    this.view = view;         
  }
  
  @Override
  public void execute() 
  {
    { 
      model.anrufAnnehmen();
      try
      {
        //s = new Socket(model.getMyIPAdress(),model.getMyPort());
        //view.getTxtArea().append("Socket geöffnet");
        
        //istream = s.getInputStream();
        //System.out.println(istream);
      }
      catch(Exception ex)
      {
        
      }
      
    }
   }
  @Override
  public void undo()
  {
    
  }

  @Override
  public Boolean isundoable()
  {
    return false;
  }
}
